Index: pjproject/trunk/pjsip/src/pjsua2/siptypes.cpp
===================================================================
--- pjproject/trunk/pjsip/src/pjsua2/siptypes.cpp	(revision 6025)
+++ pjproject/trunk/pjsip/src/pjsua2/siptypes.cpp	(revision 6026)
@@ -31,5 +31,5 @@
 void readIntVector( ContainerNode &node,
                     const string &array_name,
-                    IntVector &v) throw(Error)
+                    IntVector &v) PJSUA2_THROW(Error)
 {
     ContainerNode array_node = node.readArray(array_name);
@@ -42,5 +42,5 @@
 void writeIntVector(ContainerNode &node,
                     const string &array_name,
-                    const IntVector &v) throw(Error)
+                    const IntVector &v) PJSUA2_THROW(Error)
 {
     ContainerNode array_node = node.writeNewArray(array_name);
@@ -51,5 +51,5 @@
 
 void readQosParams( ContainerNode &node,
-                    pj_qos_params &qos) throw(Error)
+                    pj_qos_params &qos) PJSUA2_THROW(Error)
 {
     ContainerNode this_node = node.readContainer("qosParams");
@@ -62,5 +62,5 @@
 
 void writeQosParams( ContainerNode &node,
-                     const pj_qos_params &qos) throw(Error)
+                     const pj_qos_params &qos) PJSUA2_THROW(Error)
 {
     ContainerNode this_node = node.writeNewContainer("qosParams");
@@ -74,5 +74,5 @@
 void readSipHeaders( const ContainerNode &node,
                      const string &array_name,
-                     SipHeaderVector &headers) throw(Error)
+                     SipHeaderVector &headers) PJSUA2_THROW(Error)
 {
     ContainerNode headers_node = node.readArray(array_name);
@@ -90,5 +90,5 @@
 void writeSipHeaders(ContainerNode &node,
                      const string &array_name,
-                     const SipHeaderVector &headers) throw(Error)
+                     const SipHeaderVector &headers) PJSUA2_THROW(Error)
 {
     ContainerNode headers_node = node.writeNewArray(array_name);
@@ -118,5 +118,5 @@
 }
 
-void AuthCredInfo::readObject(const ContainerNode &node) throw(Error)
+void AuthCredInfo::readObject(const ContainerNode &node) PJSUA2_THROW(Error)
 {
     ContainerNode this_node = node.readContainer("AuthCredInfo");
@@ -132,5 +132,5 @@
 }
 
-void AuthCredInfo::writeObject(ContainerNode &node) const throw(Error)
+void AuthCredInfo::writeObject(ContainerNode &node) const PJSUA2_THROW(Error)
 {
     ContainerNode this_node = node.writeNewContainer("AuthCredInfo");
@@ -209,5 +209,5 @@
 }
 
-void TlsConfig::readObject(const ContainerNode &node) throw(Error)
+void TlsConfig::readObject(const ContainerNode &node) PJSUA2_THROW(Error)
 {
     ContainerNode this_node = node.readContainer("TlsConfig");
@@ -231,5 +231,5 @@
 }
 
-void TlsConfig::writeObject(ContainerNode &node) const throw(Error)
+void TlsConfig::writeObject(ContainerNode &node) const PJSUA2_THROW(Error)
 {
     ContainerNode this_node = node.writeNewContainer("TlsConfig");
@@ -289,5 +289,5 @@
 }
 
-void TransportConfig::readObject(const ContainerNode &node) throw(Error)
+void TransportConfig::readObject(const ContainerNode &node) PJSUA2_THROW(Error)
 {
     ContainerNode this_node = node.readContainer("TransportConfig");
@@ -302,5 +302,6 @@
 }
 
-void TransportConfig::writeObject(ContainerNode &node) const throw(Error)
+void TransportConfig::writeObject(ContainerNode &node) const
+				  PJSUA2_THROW(Error)
 {
     ContainerNode this_node = node.writeNewContainer("TransportConfig");
@@ -379,5 +380,5 @@
 ///////////////////////////////////////////////////////////////////////////////
 
-void SipHeader::fromPj(const pjsip_hdr *hdr) throw(Error)
+void SipHeader::fromPj(const pjsip_hdr *hdr) PJSUA2_THROW(Error)
 {
     char *buf = NULL;
@@ -436,5 +437,6 @@
 ///////////////////////////////////////////////////////////////////////////////
 
-void SipMultipartPart::fromPj(const pjsip_multipart_part &prm) throw(Error)
+void SipMultipartPart::fromPj(const pjsip_multipart_part &prm)
+			      PJSUA2_THROW(Error)
 {
     headers.clear();
@@ -575,5 +577,5 @@
 }
 
-void SipTxOption::fromPj(const pjsua_msg_data &prm) throw(Error)
+void SipTxOption::fromPj(const pjsua_msg_data &prm) PJSUA2_THROW(Error)
 {
     targetUri = pj2Str(prm.target_uri);
